Get a milestone
GET
/repos/{owner}/{repo}/milestones/{id}
const url = 'https://gitea.example.com/api/v1/repos/example/example/milestones/example';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/milestones/example \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”owner
required
string
Owner of the repo
repo
required
string
Name of the repo
id
required
string
The milestone to get, identified by ID and if not available by name
Responses
Section titled “Responses”Milestone
Media typeapplication/json
Milestone milestone is a collection of issues on one repository
object
closed_at
string format: date-time
closed_issues
integer format: int64
created_at
string format: date-time
description
string
due_on
string format: date-time
id
integer format: int64
open_issues
integer format: int64
state
StateType issue state type
string
title
string
updated_at
string format: date-time
Examplegenerated
{ "closed_at": "2026-04-15T12:00:00Z", "closed_issues": 1, "created_at": "2026-04-15T12:00:00Z", "description": "example", "due_on": "2026-04-15T12:00:00Z", "id": 1, "open_issues": 1, "state": "example", "title": "example", "updated_at": "2026-04-15T12:00:00Z"}APINotFound is a not found empty response
Media typeapplication/json